# 7. Reference

## 7.1. Programs

### 7.1.1. xtp_basisset

#### 7.1.1.1. NAME

xtp_basisset - Part of the VOTCA package

#### 7.1.1.2. SYNOPSIS

xtp_basisset [OPTIONS]

xtp_basisset [–help]

#### 7.1.1.3. DESCRIPTION

Creates votca xml basissetfiles from NWCHEM basissetfiles

#### 7.1.1.4. OPTIONS

    options:

      -h, --help                          show this help message and exit
      -f, --input INPUT                   NWchem file containing the basisset or
                                          Turbomole folder with element names.
      -o, --outputvotca OUTPUTFILE        Path of votca outputfile
      -t, --turbomolebasisset TURBOBASIS  For turbomole specify the basisset that
                                          is supposed to be extracted from Files,
                                          for auxbasis sets the basisset the aux
                                          basisset is supposed to be used for.

### 7.1.2. xtp_update_mapfile

#### 7.1.2.1. NAME

xtp_update_mapfile - Part of the VOTCA package

#### 7.1.2.2. SYNOPSIS

xtp_update_mapfile [OPTIONS]

xtp_update_mapfile [–help]

#### 7.1.2.3. DESCRIPTION

Updates the CTP mapping file to VOTCA XTP

#### 7.1.2.4. OPTIONS

    options:

      -h, --help                  show this help message and exit
      -sin, --S_input S_INPUT     Mapping file to update.
      -sout, --S_output S_OUTPUT  Filename of new Mapping file.

### 7.1.3. xtp_modify_jobfile

#### 7.1.3.1. NAME

xtp_modify_jobfile - Part of the VOTCA package

#### 7.1.3.2. SYNOPSIS

xtp_modify_jobfile [OPTIONS]

xtp_modify_jobfile [–help]

#### 7.1.3.3. DESCRIPTION

Creates a subset Jobfile from a larger Jobfile using selection criteria

#### 7.1.3.4. OPTIONS

    options:

      -h, --help                           show this help message and exit
      -i, --input J_INPUT                  Jobfile file to select from.
      -o, --output J_OUTPUT                Filename to write new jobfile to.
      -l, --job_ids JOB_IDS [JOB_IDS ...]  Either a list of ids '1 3 5' or a range
                                           '1-5' or a combination thereof
      -s, --selector SELECTOR              A more flexible way to select jobs can
                                           be combined with ranges. Specify the
                                           xml tag you want inside the job via
                                           e.g. 'input/regions/region.id:0'. The
                                           tag must exist and the value behind the
                                           colon supports '?' and '*' wildcards

### 7.1.4. xtp_autogen_mapping

#### 7.1.4.1. NAME

xtp_autogen_mapping - Part of the VOTCA package

#### 7.1.4.2. SYNOPSIS

xtp_autogen_mapping [OPTIONS]

xtp_autogen_mapping [–help]

#### 7.1.4.3. DESCRIPTION

Automatically generate a mapping file

#### 7.1.4.4. OPTIONS

    options:

      -h, --help            show this help message and exit
      -pdb, --pdbfile PDBFILE
                            PDB coordinate file
      -opt, --optimize      optimization of XYZ and MPS files
      -s, --states {n,e,h} [{n,e,h} ...]
                            which states to optimize
      -orca, --orca ORCA    full path to ORCA executable
      -f, --functional FUNCTIONAL
                            DFT functional
      -b, --basis BASIS     basis set
      --nori                Do not to use the Resolution of Identity approximation
      -m, --mdname MDNAME   Name of the molecule in the MD topology
      -t, --threads THREADS
                            Number of threads to use in ORCA
      --version             show program's version number and exit

### 7.1.5. xtp_qmmm2qm

#### 7.1.5.1. NAME

xtp_qmmm2qm - Part of the VOTCA package

#### 7.1.5.2. SYNOPSIS

xtp_qmmm2qm [OPTIONS]

xtp_qmmm2qm [–help]

#### 7.1.5.3. DESCRIPTION

Convert QMMM orb file into a DFTGWBSE-like orb file usable by gencube,densityanalysis,…

#### 7.1.5.4. OPTIONS

    options:

      -h, --help           show this help message and exit
      -f, --file FILE      Input File (String)
      -r, --region REGION  QMMM region number (Index)
      -v, --verbosity      Verbose mode